using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.StoragesContracts.OperatorStoragesContracts
{
    public interface ITourStorage
    {
        List<TourViewModel> GetFullList();
        List<TourViewModel> GetFilteredList(TourSearchModel model);
        TourViewModel? GetElement(TourSearchModel model);
        TourViewModel? Insert(TourBindingModel model);
        TourViewModel? Delete(TourBindingModel model);
    }
}
